Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.ibm.workplace.wcm.api.query
Enum ProjectStateSelectors.State

    java.lang.Object
      java.lang.Enum<ProjectStateSelectors.State>
          com.ibm.workplace.wcm.api.query.ProjectStateSelectors.State

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ProjectStateSelectors.State>

Enclosing class:
  ProjectStateSelectors

    public static enum ProjectStateSelectors.State

extends java.lang.Enum<ProjectStateSelectors.State>

Project state

Enum Constant Summary
`ACTIVE` the first state where the projects items includes drafts
`PENDING` Syndication is finished and now waiting for the effective date.
`PUBLISHED` inactive state, everything is published and finished.
`PUBLISHED_FAILED` Publish has failed
`PUBLISHING` Project is publishing
`REJECTED` Project has been rejected by an approver and is transitioning back to ACTIVE state.
`REVIEW` Project has been submitted for review by project approvers.
`SYNDICATING` Everything is pending published on the syndicator.

Method Summary
`static ProjectStateSelectors.State` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ProjectStateSelectors.State[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ACTIVE

    public static final ProjectStateSelectors.State ACTIVE

  the first state where the projects items includes drafts

### REJECTED

    public static final ProjectStateSelectors.State REJECTED

  Project has been rejected by an approver and is transitioning back to ACTIVE state.

### SYNDICATING

    public static final ProjectStateSelectors.State SYNDICATING

  Everything is pending published on the syndicator. This state will wait till all syndication of project items is complete. If there is no relevant syndicators, then this state will be skipped

### PENDING

    public static final ProjectStateSelectors.State PENDING

  Syndication is finished and now waiting for the effective date. If there is no effective date then this state is skipped. Manual publish will also push the project through this state.

### PUBLISHING

    public static final ProjectStateSelectors.State PUBLISHING

  Project is publishing

### PUBLISHED

    public static final ProjectStateSelectors.State PUBLISHED

  inactive state, everything is published and finished.

### PUBLISHED_FAILED

    public static final ProjectStateSelectors.State PUBLISHED_FAILED

  Publish has failed

### REVIEW

    public static final ProjectStateSelectors.State REVIEW

  Project has been submitted for review by project approvers. If approved, the project will move into PENDING state. If rejected, the project will be pushed through the REJECTED state and back into ACTIVE state.

Method Detail

### values

    public static ProjectStateSelectors.State[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProjectStateSelectors.State c : ProjectStateSelectors.State.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProjectStateSelectors.State valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD